%define name	pnet
%define version 0.5.8
%define release 1mdk

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	A portable interpreter for .NET plateform binaries
Group: 		Development/Other
License: 	GPL
Source: 	http://www.southern-storm.com.au/download/%name-%version.tar.bz2
URL: 		http://www.southern-storm.com.au
BuildRequires:  treecc >= 0.2.2
BuildRequires:	flex
Buildroot: 	%_tmppath/%name-%version-buildroot

%description
The primary goal of this project is to build a stable and portable 
interpreter for .NET platform binaries, together with a suite of open 
source tools to build .NET applications. The initial target platform 
is Linux, with other platforms to follow in the future.

%package devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Provides: %name-devel = %version-%release

%description devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%prep
%setup -q

%build
export CFLAGS=$(echo $RPM_OPT_FLAGS|sed -e 's!-O3!-O2!g')

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post
%_install_info %{name}tools.info

%preun
%_remove_install_info %{name}tools.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/*
%dir %_libdir/cscc
%_libdir/cscc/*
%_mandir/man1/*
%doc doc/*
%_infodir/*

%files devel
%defattr(-,root,root)
%dir %_includedir/pnet
%_includedir/pnet
%_libdir/*.a
%dir %_libdir/%name
%_libdir/%name
%doc doc/* README COPYING 

%changelog
* Mon Jul 21 2003 Marcel Pol <mpol@gmx.net> 0.5.8-1mdk
- 0.5.8
- don't let devel package obsolete main package
- own dir

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-2mdk
- buildrequires

* Wed Feb 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Wed Jan 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Sun Nov 24 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.4.8-1mdk
- 0.4.8
- install info-files

* Tue Nov 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.0-2mdk
- rebuild for new readline

* Thu Jun 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.0-1mdk
- new release

* Mon Jun 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-1mdk
- new release

* Thu May 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.6-1mdk
- new release

* Sat Apr 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4-1mdk
- spec cleaning
- use %%configure
- use new treecc
- reduce optimization level to prevent gcc bug ("Unable to find a register to
  spill in class") showed by egcs/gcc-2.96/gcc-3.0.4/gcc-3.1

* Sat Apr 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4-1mdk
- new release

* Tue Apr 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Mon Jan 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.8-1mdk
- 0.2.8

* Mon Nov 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.1.4-2mdk
- specs cleanups
- add devel package

* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- 0.1.4

* Wed Jul 11 2001  Daouda Lo <daouda@mandrakesoft.com> 0.0.6-1mdk
- release

* Wed May 30 2001  Daouda Lo <daouda@mandrakesoft.com> 0.0.5-3mdk
- fix url (second attempt) 

* Wed May 30 2001  Daouda Lo <daouda@mandrakesoft.com> 0.0.5-2mdk
- fix url.

* Tue May 29 2001  Daouda Lo <daouda@mandrakesoft.com> 0.0.5-1mdk
- first mdk package.


